org.apache.thrift

## Class TProcessorFactory

- java.lang.Object
- - org.apache.thrift.TProcessorFactory

-     public class TProcessorFactory
      extends java.lang.Object

  The default processor factory just returns a singleton instance.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TProcessorFactory(TProcessor processor)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TProcessor` | `getProcessor(TTransport trans)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TProcessorFactory

          public TProcessorFactory(TProcessor processor)

  - ### Method Detail

    - #### getProcessor

          public TProcessor getProcessor(TTransport trans)